summaryrefslogtreecommitdiffstats
path: root/libraries/apache-ivy/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/apache-ivy/doinst.sh')
-rw-r--r--libraries/apache-ivy/doinst.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/libraries/apache-ivy/doinst.sh b/libraries/apache-ivy/doinst.sh
new file mode 100644
index 0000000000..1f6d45574c
--- /dev/null
+++ b/libraries/apache-ivy/doinst.sh
@@ -0,0 +1,12 @@
+postinstall scriptlet (using /bin/sh):
+rm -f /usr/share/java/ivy.jar
+ln -s /usr/share/java/ivy-1.4.1.jar /usr/share/java/ivy.jar
+postuninstall scriptlet (using /bin/sh):
+if [ "$1" = "0" ]; then
+ # Remove the old link
+ rm -f /usr/share/java/ivy.jar
+
+ # Put back a new link. It's OK if this fails, that just means there
+ # is no other version of the package installed
+ ln -fs `ls -tr /usr/share/java/ivy-* 2>/dev/null|tail -n 1` /usr/share/java/ivy.jar || true
+fi